commit:     0748d3f104357cd99bc077dac8eabec4c77322de
Author:     Esteve Varela Colominas <esteve.varela <AT> gmail <DOT> com>
AuthorDate: Fri May 19 21:39:54 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Thu Jun  8 11:30:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0748d3f1

app-dicts/myspell-ca: Bump to 3.0.7_p202305 (shadow release)

Signed-off-by: Esteve Varela Colominas <esteve.varela <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31100
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 app-dicts/myspell-ca/Manifest                      |  1 +
 app-dicts/myspell-ca/metadata.xml                  |  3 ++
 .../myspell-ca/myspell-ca-3.0.7_p202305.ebuild     | 46 ++++++++++++++++++++++
 3 files changed, 50 insertions(+)

diff --git a/app-dicts/myspell-ca/Manifest b/app-dicts/myspell-ca/Manifest
index 79db40d1cf99..604ab37a9ce0 100644
--- a/app-dicts/myspell-ca/Manifest
+++ b/app-dicts/myspell-ca/Manifest
@@ -1 +1,2 @@
 DIST myspell-ca-3.0.7.oxt 4743865 BLAKE2B 
019d171f06b8bc5c4e3359213907bdb11f53aaf153899e643d18c0fd2f2c090b05018d0ef32c9f3238730ecad7859423ddb3f7b9081acdda820f29af192c58bc
 SHA512 
75f42a3e1723e75a535f352e72018add4baf0faab4c89208fbd732579f75f040138d9c784fe6e96bbc8194c2416731e920a6950fd9a9a196dbacfd1a03d4512d
+DIST myspell-ca-3.0.7_p202305.oxt 5191449 BLAKE2B 
91ea6718843e6c273418727d4dd9208b609e18101ed079a675b59fac2e90399b8b2a59cdb559e4ae26d6aa2866a5a533017e278266bb55205ce359a9217ec4ad
 SHA512 
0865d2ff4b7f9280438cf9a0f25adabae43e7d5a28ad26e9de7552413ff097b1df18b5e0fec76dba53924c4d3d13b3ff097c33fee70bd0a27de67498abcd24f6

diff --git a/app-dicts/myspell-ca/metadata.xml 
b/app-dicts/myspell-ca/metadata.xml
index 2c77b93b2203..61c82f5c3fb4 100644
--- a/app-dicts/myspell-ca/metadata.xml
+++ b/app-dicts/myspell-ca/metadata.xml
@@ -1,6 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
+       <upstream>
+               <remote-id 
type="github">Softcatala/catalan-dict-tools</remote-id>
+       </upstream>
        <maintainer type="person" proxied="yes">
                <email>[email protected]</email>
                <name>Esteve Varela Colominas</name>

diff --git a/app-dicts/myspell-ca/myspell-ca-3.0.7_p202305.ebuild 
b/app-dicts/myspell-ca/myspell-ca-3.0.7_p202305.ebuild
new file mode 100644
index 000000000000..b692b647853f
--- /dev/null
+++ b/app-dicts/myspell-ca/myspell-ca-3.0.7_p202305.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MYSPELL_DICT=(
+       "ca_ES.aff"
+       "ca_ES.dic"
+       "ca_ES-valencia.aff"
+       "ca_ES-valencia.dic"
+)
+
+MYSPELL_HYPH=(
+       "hyph_ca_ES.dic"
+)
+
+MYSPELL_THES=(
+       "th_ca_ES.idx"
+       "th_ca_ES.dat"
+)
+
+inherit myspell-r2
+
+DESCRIPTION="Catalan dictionaries for myspell/hunspell"
+HOMEPAGE="https://www.softcatala.org/programes/corrector-ortografic-de-catala-general-per-al-libreoffice-i-lapache-openoffice/
 https://github.com/Softcatala/catalan-dict-tools/";
+
+MY_PV="${PV%_p*}"
+SRC_URI="https://github.com/Softcatala/catalan-dict-tools/releases/download/v${MY_PV}/ca.${MY_PV}.oxt
 -> ${P}.oxt"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86"
+
+src_prepare() {
+       default
+
+       # rename to conform the common naming scheme
+       mv ca.aff ca_ES.aff || die
+       mv ca.dic ca_ES.dic || die
+       mv ca-ES-valencia.aff ca_ES-valencia.aff || die
+       mv ca-ES-valencia.dic ca_ES-valencia.dic || die
+       mv hyph_ca.dic hyph_ca_ES.dic || die
+
+       # remove licenses
+       rm LICENSES-en.txt LLICENCIES-ca.txt || die
+}

Reply via email to